<?xml version="1.0"?>
<block>
  <name>Periodic Multiply Const</name>
  <key>marmote3_periodic_multiply_const_cc</key>
  <category>[marmote3]</category>
  <import>import marmote3</import>
  <make>marmote3.periodic_multiply_const_cc($vlen, $vals)</make>
  <callback>set_vals($vals)</callback>
  <param>
    <name>Vector Length</name>
    <key>vlen</key>
    <value>1</value>
    <type>int</type>
  </param>
  <param>
    <name>Values</name>
    <key>vals</key>
    <type>complex_vector</type>
  </param>
  <sink>
    <name>in</name>
    <type>complex</type>
    <vlen>$vlen</vlen>
  </sink>
  <source>
    <name>out</name>
    <type>complex</type>
    <vlen>$vlen</vlen>
  </source>
</block>
